[arch-commits] Commit in vice/trunk (PKGBUILD vice-2.1-gcc44.patch)

Giovanni Scafora giovanni at archlinux.org
Thu Jun 18 18:40:45 EDT 2009


    Date: Thursday, June 18, 2009 @ 18:40:45
  Author: giovanni
Revision: 42915

upgpkg: vice 2.1-2
    readline rebuild

Added:
  vice/trunk/vice-2.1-gcc44.patch
Modified:
  vice/trunk/PKGBUILD

----------------------+
 PKGBUILD             |   21 ++++++++++++---------
 vice-2.1-gcc44.patch |   11 +++++++++++
 2 files changed, 23 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-18 22:36:45 UTC (rev 42914)
+++ PKGBUILD	2009-06-18 22:40:45 UTC (rev 42915)
@@ -4,22 +4,25 @@
 
 pkgname=vice
 pkgver=2.1
-pkgrel=1
+pkgrel=2
 pkgdesc="A Versatile Commodore Emulator"
 arch=('i686' 'x86_64')
 license=('GPL')
 url="http://www.viceteam.org/"
-depends=('esound' 'gcc-libs' 'giflib' 'lame' 'libgl' 'libjpeg' 'libpng' 'libxaw' 'libxxf86vm')
+depends=('esound' 'gcc-libs' 'giflib' 'lame' 'libxrandr' 'libxv' 'libjpeg' 'libpng' 'libxaw' 'libxxf86vm')
 makedepends=('xorg-font-utils')
 options=('!makeflags')
-source=(http://www.zimmers.net/anonftp/pub/cbm/crossplatform/emulators/VICE/$pkgname-$pkgver.tar.gz)
-md5sums=('a4cca1aad12e12ac7f37d6c85310ade8')
+source=(http://www.zimmers.net/anonftp/pub/cbm/crossplatform/emulators/VICE/$pkgname-$pkgver.tar.gz
+        vice-2.1-gcc44.patch)
+md5sums=('a4cca1aad12e12ac7f37d6c85310ade8'
+         '579590831e1403f566e4bfc44bcd9f5e')
 
 build() {
-  cd $srcdir/$pkgname-$pkgver
-  ./configure --prefix=/usr --enable-fullscreen
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np0 -i ${srcdir}/vice-2.1-gcc44.patch || return 1
+  ./configure --prefix=/usr \
+              --enable-fullscreen
   make || return 1
-  make DESTDIR=$pkgdir install
-  rm $pkgdir/usr/share/info/dir
+  make DESTDIR=${pkgdir} install
+  rm ${pkgdir}/usr/share/info/dir
 }
-

Added: vice-2.1-gcc44.patch
===================================================================
--- vice-2.1-gcc44.patch	                        (rev 0)
+++ vice-2.1-gcc44.patch	2009-06-18 22:40:45 UTC (rev 42915)
@@ -0,0 +1,11 @@
+--- src/arch/unix/joy.c
++++ src/arch/unix/joy.c
+@@ -124,7 +124,7 @@
+ #define JS_DATA_TYPE joystick
+ #define JS_RETURN    sizeof(struct joystick)
+ int     use_old_api=1;
+-#elif
++#else
+ #error Unknown Joystick
+ #endif
+ 



More information about the arch-commits mailing list